foreman-rake apipie:cache in 2.2.0 has wrong shell output
Description

Hi,

I was running foreman 2.1.4 on CentOS7. I upgraded to 2.2.0 based on the upgrade instructions:

yum upgrade --assumeyes https://yum.theforeman.org/releases/2.2/el7/x86_64/foreman-release.rpm

yum clean metadata

yum install --assumeyes centos-release-scl-rh foreman-release-scl

yum upgrade --assumeyes centos-release-scl-rh foreman-release-scl

yum clean metadata

yum upgrade --assumeyes tfm\* ruby\* foreman\*

 So far so good. Afterwards I checked for the database migrations:

root ~ # foreman-rake db:migrate

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

== 20190226182746 CreateRegistrationFacets: migrating =========================

-- create_table(:registration_facets, {})

   -> 0.0254s

== 20190226182746 CreateRegistrationFacets: migrated (0.0255s) ================

== 20200129123555 AddDisabledToUsers: migrating ===============================

-- add_column(:users, :disabled, :boolean, {:default=>false})

   -> 0.0024s

== 20200129123555 AddDisabledToUsers: migrated (0.0026s) ======================

== 20200602155700 DropPuppetRun: migrating ====================================

== 20200602155700 DropPuppetRun: migrated (0.0988s) ===========================

== 20200615071719 AddBmcToSubnet: migrating ===================================

-- add_column(:subnets, :bmc_id, :integer)

   -> 0.0019s

== 20200615071719 AddBmcToSubnet: migrated (0.0565s) ==========================

== 20200616134403 RemoveSettingEnableOrchestration: migrating =================

== 20200616134403 RemoveSettingEnableOrchestration: migrated (0.0025s) ========

== 20200625081552 AddUniqueIndexToLookupValue: migrating ======================

-- add_index(:lookup_values, [:lookup_key_id, :match], {:unique=>true})

   -> 0.0054s

== 20200625081552 AddUniqueIndexToLookupValue: migrated (0.0055s) =============

== 20200630092207 ChangeDefaultVmDeletionSetting: migrating ===================

== 20200630092207 ChangeDefaultVmDeletionSetting: migrated (0.0056s) ==========

== 20200825121733 DropCompareContentHostTemplate: migrating ===================

== 20200825121733 DropCompareContentHostTemplate: migrated (0.2722s) ==========
== 20200918223816 UpdateLoginDelegationDescription: migrating =================

== 20200918223816 UpdateLoginDelegationDescription: migrated (0.0050s) ========

root ~ # 

 I executed them again, to ensure they acutally worked:

root ~ # foreman-rake db:migrate

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

root ~ #

 now the actual tiny issue I saw. I executedthe apipie:cache job as suggested:

root ~ # foreman-rake apipie:cache

2020-11-05 13:05:05 +0100 | Started

2020-11-05 13:05:07 +0100 | Documents loaded...

2020-11-05 13:05:07 +0100 | Processing docs for 

2020-11-05 13:05:25 +0100 | Processing docs for ca

2020-11-05 13:05:41 +0100 | Processing docs for en

2020-11-05 13:05:58 +0100 | Processing docs for es

2020-11-05 13:06:15 +0100 | Processing docs for gl

2020-11-05 13:06:32 +0100 | Processing docs for ja

2020-11-05 13:06:47 +0100 | Processing docs for pl

2020-11-05 13:07:02 +0100 | Processing docs for ru

2020-11-05 13:07:17 +0100 | Processing docs for zh_CN

2020-11-05 13:07:32 +0100 | Processing docs for de

2020-11-05 13:07:46 +0100 | Processing docs for en_GB

2020-11-05 13:08:01 +0100 | Processing docs for fr

2020-11-05 13:08:16 +0100 | Processing docs for it

2020-11-05 13:08:31 +0100 | Processing docs for ko

2020-11-05 13:08:46 +0100 | Processing docs for pt_BR

2020-11-05 13:09:02 +0100 | Processing docs for sv_SE

2020-11-05 13:09:19 +0100 | Processing docs for zh_TW

2020-11-05 13:09:35 +0100 | Processing docs for nl_NL

2020-11-05 13:09:51 +0100 | Processing docs for cs_CZ

2020-11-05 13:10:06 +0100 | Finished

root ~ # 

 In the first line with `Processing docs for` it looks like a language is missing? Let me know if this is supposed to look like this or if you

need more information.

History

#1 - 11/05/2020 12:24 PM - Ewoud Kohl van Wijngaarden

- Category set to API

- Found in Releases 2.2.0 added

#2 - 11/10/2020 11:08 AM - Amit Upadhye

Tim Meusel wrote:

Hi,

I was running foreman 2.1.4 on CentOS7. I upgraded to 2.2.0 based on the upgrade instructions:

[...]

So far so good. Afterwards I checked for the database migrations:

[...]

I executed them again, to ensure they acutally worked:

[...]

now the actual tiny issue I saw. I executedthe apipie:cache job as suggested:

[...]

In the first line with `Processing docs for` it looks like a language is missing? Let me know if this is supposed to look like this or if you need more
information.

 The apipie-rails has [nil] added to the list of langs before generating doc,

https://github.com/Apipie/apipie-rails/blob/master/lib/tasks/apipie.rake#L133

I can't figure out why its added explicitly ? the change is quite old,

https://github.com/Apipie/apipie-rails/commit/13f51b58639891ae809a5abb69963740e92028a3?branch=13f51b58639891ae809a5abb69963740e920

28a3&diff=split

Maybe this can be raised as issue at https://github.com/Apipie/apipie-rails/issues ?

#3 - 11/13/2020 10:59 PM - Tim Meusel

thanks for debugging! I raised https://github.com/Apipie/apipie-rails/issues/697
